# Generated by Django 2.2.2 on 2019-09-24 21:07

import datetime
from django.db import migrations, models
import djongo.models.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='bot',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('probability', models.FloatField()),
                ('screen_name', models.TextField(null=True)),
                ('profile_img', models.TextField(null=True)),
                ('project_id', djongo.models.fields.ListField()),
                ('id_str', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='hourlycount',
            fields=[
                ('_id', djongo.models.fields.ObjectIdField(auto_created=True, primary_key=True, serialize=False)),
                ('count', models.IntegerField()),
                ('Time', models.DateTimeField()),
                ('access_token', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='lastcount',
            fields=[
                ('_id', djongo.models.fields.ObjectIdField(auto_created=True, primary_key=True, serialize=False)),
                ('count', models.IntegerField()),
                ('Time', models.DateTimeField()),
                ('access_token', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='project',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('user', models.EmailField(db_index=True, max_length=254)),
                ('name', models.CharField(max_length=200)),
                ('end_date', models.DateField(default=None)),
                ('lang', models.BooleanField()),
                ('keywords', models.TextField()),
                ('start_date', models.DateField(default=datetime.date.today)),
                ('location', models.CharField(default=None, max_length=200)),
                ('running', models.BooleanField()),
            ],
        ),
        migrations.CreateModel(
            name='tokens',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('consumer_key', models.CharField(max_length=200)),
                ('consumer_secret', models.CharField(max_length=200)),
                ('access_token', models.CharField(max_length=200)),
                ('access_key', models.CharField(max_length=200)),
                ('running', models.IntegerField()),
                ('last_error', models.CharField(max_length=1024)),
            ],
        ),
        migrations.CreateModel(
            name='tweets',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('Project_id', models.IntegerField()),
                ('text', models.TextField(null=True)),
                ('cleaned_text', djongo.models.fields.ListField(default=[])),
                ('hashtags', djongo.models.fields.ListField(default=[])),
                ('mentions_screen_name', djongo.models.fields.ListField(default=[])),
                ('screen_name', models.TextField(null=True)),
                ('sentiment_analysis', models.TextField(null=True)),
                ('type', models.TextField(null=True)),
                ('retweet_screen_name', models.TextField(null=True)),
                ('status_id', models.TextField(null=True)),
                ('created_at', models.DateTimeField()),
                ('timestamp_ms', models.BigIntegerField()),
                ('quoted_screen_name', models.TextField(null=True)),
                ('coordinates', djongo.models.fields.ListField()),
                ('is_retweet', models.BooleanField()),
                ('is_quote', models.BooleanField()),
                ('retweet_count', models.IntegerField()),
                ('profile_image_url_https', models.TextField(null=True)),
            ],
        ),
        migrations.AddIndex(
            model_name='project',
            index=models.Index(fields=['user'], name='project_pro_user_f4916a_idx'),
        ),
    ]
